body {
  margin: 0;
}

#app > header {
  background-color: #292b2c;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  position: fixed;
  min-width: 100vw;
}

#app > div > header {
  background-color: #292b2c;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-left: 10px;
}

#logo {
  margin: 10px auto;
}

#top-nav {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  font-size: 18pt;
  color: white;
  margin: 0;
}

#top-nav > div.nav-link.top {
  height: 5rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#top-nav a {
  margin: 0 2rem;
  font-size: 18pt;
  color: white;
  text-decoration: none;
}

#top-nav div.nav-link:hover {
  background-color: #4f4f4f;
}

#my-account {
  padding: 0 2rem;
  cursor: pointer;
}

#my-account > div.sub-nav {
  display: none;
  position: fixed;
  top: 5rem;
  right: 0;
  background-color: black;
  width: 200px;
  padding: 0;
  z-index: 10;
}

#my-account:hover > div.sub-nav {
  display: block;
}

#my-account:hover div.nav-link.sub {
  padding: 5px 1rem;
}

#my-account:hover div.nav-link.sub a {
  margin: 0 0;
  font-size: 12pt;
  color: white;
  text-decoration: none;
}

main {
  padding: 1rem;
}

main.blurred {
  background-color: #4f4f4f;
  flex: 1;
}

main.blurred nav a {
  text-decoration: none;
  font-weight: bold;
}

#login-page main.blurred {
  background-image: url(https://s3.amazonaws.com/com.premiumprep.app.resources.prod/login-background.jpg);
  background-repeat: no-repeat;
  background-size: contain;
  background-color: #292b2c;
  background-position: top 71px center;
}

#login-page .modal-page-foreground {
  background: rgba(0, 0, 0, 0.5)
}

#login-page .xhr-error {
  color: red;
  font-size: x-large;
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  min-width: 100%;
  min-height: 100%;
  background-color: rgba(0,0,0,0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
  margin: 0;
}

.modal .foreground {
  background-color: white;
  color: black;
}

p.notice {
  background-color: #faa;
  border: 1px solid red;
  border-radius: 5px;
  padding: 5px 15px;
}

.modal-page {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.modal-page nav {
  display: flex;
  justify-content: center;
}

.modal-page nav a {
  color: white;
  border-right: 1px solid white;
  padding: 0.5rem 1rem;
  margin: 0;
}

.modal-page nav a:last-child {
  border-right: none;
}

.modal-page .modal-page-foreground {
  background-color: #373737;
  border: 1px solid white;
  border-radius: 10px;
  margin: 10vh auto 3rem;
  padding: 2rem;
  width: 20rem;
}

div.success {
  background-color: #ccffcc;
  padding: 0 1rem;
  border: 1px solid #88ff88;
  border-radius: 5px;
}

div.error {
  background-color: #ffcccc;
  padding: 0 1rem;
  border: 1px solid #ff8888;
  border-radius: 5px;
}

.modal-page .modal-page-foreground h3 {
  margin: 2rem 0;
  text-align: center;
  font-size: 18pt;
  color: white;
}

.modal-page .modal-page-foreground > p {
  color: white;
}

.modal-page .modal-page-foreground .input-label {
  color: white;
  margin: 2rem 0 0.5rem;
  font-size: 14pt;
  font-weight: bold;
}

.modal-page .modal-page-foreground .input-field input {
  box-sizing: border-box;
  width: 100%;
  font-size: 12pt;
  padding: 0.5rem;
  border-radius: 3px;
}

.modal-page .modal-page-foreground input::placeholder {
  color: #aaa;
}

.modal-page .modal-page-foreground input[type=submit] {
  box-sizing: border-box;
  width: 100%;
  font-size: 12pt;
  padding: 1rem;
  background-color: #f99b27;
  border-radius: 5px;
  margin: 2rem 0;
  border: none;
}

.modal-page .modal-page-foreground .forgot-password {
  color: white;
  font-size: 14pt;
  text-align: center;
  cursor: pointer;
}

#student-page main, #counselor-page main {
  padding: 0;
  display: flex;
  flex-direction: row;
}

aside {
  background-color: #3f4142;
  max-width: 250px;
  padding: 1rem;
  color: white;
}

aside h3 {
  text-transform: uppercase;
  font-weight: normal;
}

aside h5 {
  font-size: medium;
  color: #faaf52;
  margin-top: 2rem;
}

aside nav.intra-page ul {
  list-style: none;
  padding-left: 0;
}

aside nav.intra-page ul li {
  margin: 2ch 0;
  font-size: large;
}

aside nav.intra-page ul li a {
  text-decoration: none;
  color: white;
}

button {
  padding: 5px;
}

#student-page main article, #counselor-page main article {
  padding: 1rem;
  width: 100%;
}

section.advisor-info p.phone-number a, section.advisor-info p.advisor-email a {
  text-decoration: none;
  color: white;
}

section.advisor-info p.send-email {
  box-sizing: border-box;
}

section.advisor-info p.send-email a.button {
  margin-left: 0;
  padding: 0.5ch 1ch;
}

div.profile-and-comments,
div.documents-and-comments,
section.issues,
section.college-list {
  background-color: #fafafa;
  padding: 2rem 2rem 1rem;
  margin-bottom: 2rem;
  border-radius: 5px;
}

section.profile > div {
  display: grid;
  grid-template-columns: auto auto;
}

section.profile > div > div.expanded-fields {
  grid-column: 1 / -1;
  display: grid;
  grid-template-columns: max-content auto;
  line-spacing: 1.5;
}

section.profile > div > div.expanded-fields h5 {
  font-size: large;
  grid-column: 1 / -1;
}

section.profile .field-name {
  font-weight: bold;
  margin-right: 1ex;
}

section.profile .field-name.indent {
  margin-left: 2rem;
}

section.profile h3 {
  font-size: xx-large;
}

.comment-list {
  background-color: white;
  border-radius: 5px;
}

.comment-list .comments-summary {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-end;
  padding: 1ex 2ex;
  cursor: pointer;
}

.comment-list .comments-summary span.arrow {
  margin-right: 1ex;
}

.comment-list .comments-summary span.latest {
  float: right;
  color: #808080;
  font-size: small;
}

.comment-list.expanded .comments-summary {
  border-bottom: 1px solid #808080;
}

.comment-list .comments-details {
  padding: 2ex 2rem;
  border-bottom: 1px solid #808080;
}

.comment-list.collapsed .comments-details,
.comment-list.collapsed .comment-submission
{
  display: none;
}

.comment-list.expanded .comments-details,
.comment-list.expanded .comment-submission
{
  display: block;
}

.comments-details .comment {
  margin-bottom: 2rem;
}

.comments-details .comment:last-child {
  margin-bottom: 0;
}

.comment .comment-summary {
  margin-bottom: 5px;
}

.comment .relative-date {
  color: #808080;
}

.comment-submission {
  padding: 2ex 2rem;
}

.comment-submission label {
  display: block;
}

.comment-submission textarea {
  width: 100%;
  height: 3rem;
  margin: 5px 0;
}

.comment-submission .submit-controls {
  margin-top: 1rem;
}

.comment-submission .submit-controls .status {
  margin-top: 1rem;
}

#counselor-page section.profile {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  padding: 2rem;
  background-color: #ededed;
  border-radius: 5px;
}

#counselor-page main section.profile div.profile-group {
  margin-right: 8rem;
}

#counselor-page main section.profile {
  margin-bottom: 2rem;
}

section.documents {
  font-size: large;
  margin-bottom: 1rem;
}

section.documents h3,
section.issues h3,
section.college-list h3 {
  font-size: xx-large;
}

section.documents ul.document-list {
  list-style: none;
  padding: 0;
}

section.documents li.document {
  display: flex;
  flex-direction: row;
  justify-content: stretch;
  align-items: center;
  height: 3.5rem;
  border-top: 1px solid #e0e0e0;
}
section.documents li.document:last-child {
  border-bottom: 1px solid #e0e0e0;
}

section.documents li.document span.name {
  flex-grow: 1;
}

section.documents li.document span.date {
  color: #808080;
  margin: 0 1rem;
}

section.documents li.document span.date-label {
  font-size: small;
}

section.documents li.document span.date-value {
  font-size: medium;
}

section.documents li.document span.button a {
  background-color: #ededed !important;
  font-size: medium;
}

div.paging {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin: 1rem 0;
}

#student-page .profile .paging {
  grid-column: 1 / -1;
}

table.issue-list {
  list-style: none;
  padding-left: 0;
}

tr.issue {
  padding: 1ex 0;
  border-top: 1px solid #e0e0e0;
}
tr.issue:last-child {
  border-bottom: 1px solid #e0e0e0;
}

tr.issue td {
  padding-right: 1rem;
}
tr.issue td:last-child {
  padding-right: 0;
}

tr.issue td.issue-text {
  flex-grow: 1;
  font-size: small;
}

td.issue-touched {
  font-size: small;
  color: #808080;
}

tr.issue.new td.issue-text,
tr.issue.new td.issue-touched,
tr.issue.new td.issue-state {
  font-weight: bold;
  color: black;
}

td.issue-controls ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  padding-left: 0;
}

td.issue-controls li {
  background-color: #ededed;
  padding: 1ex;
  margin: 0 1ex;
  border-radius: 5px;
  font-size: small;
  cursor: pointer;
}

td.issue-controls p {
  color: #808080;
}

table {
  width: 100%;
  border-collapse: collapse;
}

table.students th,
table.students td,
table.counselors th,
table.counselors td,
div.college-list table th {
  text-transform: uppercase;
  text-align: left;
  font-weight: normal;
  color: #808080;
}

div.college-list table td {
  text-align: left;
  font-weight: normal;
  color: #808080;
}

thead th {
  padding-bottom: 1ex;
}

th.sortable {
  cursor: pointer;
}

th.sorted {
  background-color: #ededed;
  cursor: pointer;
}

span.direction-arrow {
  float: right;
  padding: 0 1ex;
  color: black;
  font-weight: bold;
}

td {
  border-top: 1px solid #e0e0e0;
  border-bottom: 1px solid #e0e0e0;
  padding: 1rem 0;
}

table.students tr td.student-name,
table.counselors tr td.counselor-name,
div.college-list table tr td.college-name {
  font-size: x-large;
  color: black;
  padding: 0;
}

td.student-name,
td.counselor-name {
  text-transform: none !important;
}

td.student-name a, td.counselor-name a {
  color: black;
  text-decoration: none;
}

table.students td.counselor-name a {
  color: #808080;
}

table.counselors td.num-students,
table.counselors thead :nth-child(2) {
  text-align: center;
}

tr.inactive td {
  color: #b0b0b0;
}

tr.inactive td.student-name a, tr.inactive td.counselor-name a {
  font-size: medium;
  text-transform: none;
  color: #808080;
  padding: 0;
}

td.controls a, section.documents li.document span.button a {
  background-color: #f3f3f3;
  padding: 5px 1ex;
  margin: 0 5px;
  border-radius: 5px;
  color: black;
  text-transform: none;
  text-decoration: none;
  cursor: pointer;
}

section.college-list h5,
section.profile h5 {
  color: #faaf52;
  font-size: large;
  margin-bottom: 1rem;
}

div.college-list {
  margin-bottom: 4rem;
}

td.college-name {
  padding-left: 1rem !important;
}

span.flag {
  background-color: white;
  color: black;
  padding: 1ex;
}

td.college-details {
  padding: 2rem 3rem;
}

div.college-list tr.expanded,
div.college-list td.college-details {
  background-color: white;
  text-transform: none;
}

div.college-list tr.eliminated {
  text-decoration: line-through;
}

td.college-details > header h5 {
  font-size: large;
  color: black;
  font-weight: normal;
}

td.college-details h4,
td.college-details div.field-value {
  color: black;
}

td.college-details div.standard-fields {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  border-top: 1px solid #ededed;
  border-bottom: 1px solid #ededed;
}

td.college-details hr {
  border: none;
  height: 1px;
  background-color: #ededed;
}

td.college-details .field-grid {
  display: grid;
  grid-template-columns: auto auto;
}

td.college-details div.one-line-fields {
  flex: 1;
  border-right: 1px solid #ededed;
  padding-right: 3rem;
}

td.college-details div.one-line-fields > *:last-child {
  margin-bottom: 1rem;
}

span.pencil, span.icon { color: #808080; }
span.cancel { color: red; }
span.submit { color: green; }

span.cancel, span.submit {
  font-size: larger;
}

span.pencil, span.cancel, span.submit, span.edit, span.delete {
  margin-left: 1ex;
  cursor: pointer;
}

td.college-details div.field-name {
  margin-bottom: 12px;
}

td.college-details div.field-value form {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}

td.college-details div.notes-and-outcomes {
  flex: 1;
  padding: 1rem 0 1rem 1rem;
}

div.notes {
  margin-bottom: 2rem;
}

div.notes textarea, div.notes-text {
  min-height: 10rem;
  width: 100%;
  border: 1px solid #e0e0e0;
  color: black;
  padding: 1ex;
}

section.outcome {
  background-color: #f8f8f8;
  border-radius: 5px;
  padding: 2rem;
}

section.outcome h4 {
  margin: 0 0 1rem;
}

.custom-fields-grid {
  display: grid;
  grid-template-columns: auto auto 3rem 3rem;
  grid-gap: 1rem;
  margin-bottom: 2rem;
}

.custom-fields-grid .value {
  color: black;
}

#custom-field-form input[type=text], #custom-field-form textarea {
  width: 100%;
  box-sizing: border-box;
  border: 1px solid #aaaa;
  border-radius: 5px;
  font-family: sans-serif;
}

#custom-field-form input[type=text] {
  padding: 5px 1ch;
}

#custom-field-form textarea {
  padding: 1ch;
  height: 150px;
}

#students-page main > header,
#counselors-page main > header,
#student-page main header,
#counselor-page main header
{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

a.button {
  background-color: #faaf52;
  padding: 0.5rem 1.5rem;
  border-radius: 5px;
  text-decoration: none;
  color: black;
  font-size: larger;
  cursor: pointer;
  margin-left: 1rem;
}

a.button.secondary {
  background-color: #ededed;
}

#students-page main > header select.active-status-filter {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 340px;
  padding: 0.5rem 1.5rem;
  margin-right: 1ex;
  font-size: larger;
  cursor: pointer;
  border: 1px solid #808080;
}

#students-page main > header label {
  position: relative;
}

#students-page main > header label:after {
  content: '>';
  font: 14pt monospace;
  -webkit-transform: rotate(90deg);
  -moz-transform: rotate(90deg);
  -ms-transform: rotate(90deg);
  transform: rotate(90deg);
  right: 16px;
  top: -4px;
  padding: 0;
  position: absolute;
  pointer-events: none;
}

.modal-form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.modal-form header {
  border-bottom: 1px solid #ededed;
  width: 100%;
  min-width: 500px;
  display: flex;
  flex-direction: row;
  justify-content: stretch;
  align-items: center;
}

.modal-form header h3 {
  text-align: center;
  color: #faaf52;
  flex: 1;
}

.modal-form header .close-modal-x {
  padding: 1ex;
  cursor: pointer;
  font-size: 16pt;
}

.modal-form > section {
  width: 80%;
}

.modal-form > section > div {
  margin: 1rem 0 2rem;
}

.modal-form > section .active-option {
  margin-right: 3rem;
}

.modal-form > section .active-option input[type="radio"] {
  margin-right: 1ex;
}

.modal-form > section textarea {
  width: 100%;
  height: 5rem;
}

.modal-form footer {
  min-width: 100%;
}

.modal-form footer .buttons {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  border-top: 1px solid #ededed;
}

.modal-form footer .buttons a.button {
  margin: 1rem 1rem 1rem 0;
}

.modal-form footer div.success,
.modal-form footer div.error {
  padding: 0 1rem;
  max-width: 500px;
  font-size: smaller;
  margin: 1rem;
}

form.student {
  display: grid;
  grid-template-columns: 200px 300px;
  grid-gap: 10px 1rem;
}

form.student label {
  text-align: right;
}

form.student textarea {
  height: 150px;
}

form.student h3,
form.student h4,
form.student p,
form.student div.form-submit,
form.student div.status {
  grid-column: 1 / -1;
}

form input[type=submit] {
  background-color: #faaf52;
  padding: 0.5rem 1.5rem;
  border-radius: 5px;
  font-size: larger;
}

a.knack {
  display: inline-block;
  line-height: 1.2em;
  padding-right: 1ex;
}

a.knack img {
  margin-left: 0.5ex;
}
